> ## Documentation Index
> Fetch the complete documentation index at: https://docs.liveavatar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bind Third Party Voice

> Bind a third-party voice (e.g. ElevenLabs) using a stored secret.

Validates the secret can be used to bind a third-party voice
and creates a voice record.
Returns a voice_id usable in sessions.



## OpenAPI

````yaml /openapi.json post /v1/voices/third_party
openapi: 3.1.0
info:
  title: Live avatar API
  version: 0.1.0
servers:
  - url: https://api.liveavatar.com
security: []
paths:
  /v1/voices/third_party:
    post:
      tags:
        - Voices
      summary: Bind Third Party Voice
      description: |-
        Bind a third-party voice (e.g. ElevenLabs) using a stored secret.

        Validates the secret can be used to bind a third-party voice
        and creates a voice record.
        Returns a voice_id usable in sessions.
      operationId: bind_third_party_voice_v1_voices_third_party_post
      parameters:
        - name: la_session
          in: cookie
          required: false
          schema:
            title: La Session
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ThirdPartyVoiceBindRequestSchema'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Response_ThirdPartyVoiceBindResponseSchema_
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    ThirdPartyVoiceBindRequestSchema:
      properties:
        provider_voice_id:
          type: string
          title: Provider Voice Id
          description: Voice ID from the provider (e.g. ElevenLabs voice ID)
        secret_id:
          type: string
          title: Secret Id
          description: ID of the space secret containing the provider API key
        name:
          title: Name
          description: Name of the voice
          type: string
      type: object
      required:
        - provider_voice_id
        - secret_id
      title: ThirdPartyVoiceBindRequestSchema
      description: >-
        Request body for POST /v1/voices/third_party - bind a third-party voice
        using a secret.
    Response_ThirdPartyVoiceBindResponseSchema_:
      properties:
        code:
          type: integer
          title: Code
          default: 100
        data:
          anyOf:
            - $ref: '#/components/schemas/ThirdPartyVoiceBindResponseSchema'
            - type: 'null'
        message:
          title: Message
          type: string
      type: object
      title: Response[ThirdPartyVoiceBindResponseSchema]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ThirdPartyVoiceBindResponseSchema:
      properties:
        voice_id:
          type: string
          title: Voice Id
          description: Voice ID saved on LiveAvatar side
      type: object
      required:
        - voice_id
      title: ThirdPartyVoiceBindResponseSchema
      description: Response from POST /v1/voices/third_party.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          title: Message
          type: string
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-KEY

````